ASIN(3) | Library Functions Manual | ASIN(3)

# NAME

`asin`, `asinf`, `asinl` —
arc sine function

# LIBRARY

Math Library (libm, -lm)

# SYNOPSIS

`#include <math.h>`

double
`asin`(double x);

float
`asinf`(float x);

long double
`asinl`(long double x);

# DESCRIPTION

The `asin`(), `asinf`(), and `asinl`() functions compute the principal value of the arc sine of x in the range [-pi/2, +pi/2].

# RETURN VALUES

If |x|>1, `asin`(x), `asinf`(x), and `asinl`(x) return NaN and set the global variable errno to EDOM.

# SEE ALSO

acos(3), atan(3), atan2(3), cos(3), cosh(3), math(3), sin(3), sinh(3), tan(3), tanh(3)

# STANDARDS

The `asin`() function conforms to ISO/IEC 9899:1999 (“ISO C99”).

January 29, 2013 | NetBSD 9.0